{% extends "frontBase.html.twig" %}

{% block title %}
    Mes tickets
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Mes tickets</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            {% for message in app.flashes('success') %}
                <div class="row">
                    <div class="col-md-12">
                        <div class="alert alert-success">
                            {{ message }}
                        </div>
                    </div>
                </div>
            {% endfor %}

            <div class="row">
                <div class="col-lg-4 mb-0">
                    {% include 'profile/_menu.html.twig' %}
                </div>
                <div class="col-lg-8">
                    <div class="tab-content">
                        <div class="tab-pane" id="tab-1" style="display: block;">
                            <div class="box bg-white shadow">
                                <h2>Mes tickets</h2>
                                <div class="table-responsive mb-2">
                                    <table class="table">
                                        <thead>
                                        <tr>
                                            <th>Date de création</th>
                                            <th>Fournisseur</th>
                                            <th>Statut</th>
                                            <th>Voir le ticket</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for ticket in tickets %}
                                            <tr>
                                                <td>{{ ticket.createdAt|date('d/m/Y') }}</td>
                                                <td>{{ ticket.provider }}</td>
                                                <th>
                                                    {% if ticket.state == 0 %}
                                                        <span class="badge badge-secondary">Non traité</span>
                                                    {% elseif ticket.state == 1 %}
                                                        <span class="badge badge-info">En cours</span>
                                                    {% else %}
                                                        <span class="badge badge-success">Fermée</span>
                                                    {% endif %}
                                                </th>
                                                <td class="text-center"><a href="{{ path('front_ticket_show', {id: ticket.id}) }}" class="badge badge-primary"><i class="jam jam-eye"></i></a></td>
                                            </tr>
                                        {% else %}
                                            <tr>
                                                <td class="text-center" colspan="4">Aucun ticket ouvert de votre part</td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                                <div class="navigation">
                                    {{ knp_pagination_render(tickets) }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}